cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_orders({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrders({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrders(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderList> response = client.purchaseOrders().getPurchaseOrders(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrdersAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrders(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrders(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
"<unknown>"
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"sale_order": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123,
"warehouse": "<unknown>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Purchase orders
List purchase orders
Returns one page of purchase orders.
GET
/
purchase_orders
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_orders({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrders({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrders(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderList> response = client.purchaseOrders().getPurchaseOrders(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrdersAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrders(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrders(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
"<unknown>"
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"sale_order": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123,
"warehouse": "<unknown>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Lists the purchase orders on the account, one page at a time. The records are under
data and the paging details under pagination; pass next_cursor back as cursor to read the next page. Other fields filter the list as filter_<field> or filter_<field>_<operator>.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Query Parameters
The most records to return on one page.
Example:
20
The next_cursor value from the previous page, to read the next one.
The field to sort by. Prefix it with - for descending order, such as -created_on.
Example:
"-created_on"